Cannot save file in workspace using HomeLibrary on preECO
Priority: Normal Due date:

Assignee: Roberto Cirillo % Done: 100%
Category: Estimated time: 0.00 hour
Infrastructure: Pre-Production

Description

Hello, i cannot save techno-economic-analysis file in workspace using Home Library (from a portlet). You can find the error
stacktrace in the following link:

https://support.d4science.org/pastes/5e673e10ecbb6abfc4110a836384b080f354d7be1

| am using a local gcube portal bundle (not installed in a preprod machine) so i suspect that this may has to do with some firewall
issue on MongoDB filtering my machine's IP since it works properly on the https://pre.d4science.org/ .

Thus i am assigning this ticket to the infrastructure. Correct this assumption if it's wrong.

History

#1 - Jul 21, 2017 11:31 AM - Konstantinos Giannakelos

- Project changed from 2 to D4Science Infrastructure

- Subject changed from Cannot save file in workspace using HL on preECO to Cannot save file in workspace using HomeLibrary on preECO
- Description updated

- Assignee set to _InfraScience Systems Engineer

- Target version changed from zz - Unsprintable to UnSprintable

- Infrastructure Pre-Production added

#2 - Jul 21, 2017 05:06 PM - Andrea Dell'Amico

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

It seems a matter of authentication and not of firewall rules, from the logs.

#3 - Jul 21, 2017 06:04 PM - Roberto Cirillo

| suspect it is a firewall issue because the MongoDB credentials are discovered automatically by HomeLibrary. Please @k.giannakelos@cite.gr, could
you provide your public ip?

#4 - Jul 24, 2017 09:02 AM - Konstantinos Giannakelos

Yes of course. Please add the following static IPs :

62.38.16.245
193.92.137.229

Thank you

#5 - Jul 24, 2017 09:21 AM - Roberto Cirillo

- Assignee changed from Roberto Cirillo to _InfraScience Systems Engineer

Please, could you add the IPs reported by Kostantinos to the MongoDB development cluster?

#6 - Jul 24, 2017 10:59 AM - Andrea Dell'Amico

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

Roberto Cirillo wrote:
https://support.d4science.org/pastes/5e673e10ecb6a6fc4110a836384b080f354d7be1
https://pre.d4science.org/

Please, could you add the IPs reported by Kostantinos to the MongoDB development cluster?

Both the IP addresses were already present on the firewall ACLs, and as | wrote earlier it's not a firewall problem. From these logs:

[PORTAL] 1402160 [cluster-ClusterId{value='5971bbab5ed3c6309facac4c6', description='null'}-mongol-d-d4s.d4scien
ce.org:27017] INFO org.mongodb.driver.connection - Opened connection [connectionId{localValue:19, serverValu
e:122242}] to mongol-d-d4s.d4science.org:27017

[PORTAL] 1402494 [cluster-ClusterId{value='5971bbab5ed3c6309faecac4c6', description='null'}-mongol-d-d4s.d4scien
ce.org:27017] INFO org.mongodb.driver.cluster - Monitor thread successfully connected to server with descrip
tion ServerDescription{address=mongol-d-d4s.d4science.org:27017, type=REPLICA_SET_ARBITER, state=CONNECTED, ok
=true, version=ServerVersion{versionList=[3, 0, 8]}, minWireVersion=0, maxWireVersion=3, electionId=null, maxD
ocumentSize=16777216, roundTripTimeNanos=333019829, setName='storagedev', canonicalAddress=mongol-d-d4s.d4scie
nce.org:27017, hosts=[mongo2-d-d4s.d4science.org:27017, mongo3-d-d4s.d4science.org:27017], passives=[], arbite
rs=[mongol-d-d4s.d4science.org:27017], primary='mongo3-d-d4s.d4science.org:27017"', tagSet=TagSet{[]}}

[PORTAL] 1403348 [Thread-39] INFO org.mongodb.driver.connection - Opened connection [connectionId{localValue
:20, serverValue:1582110}] to mongo3-d-d4s.d4science.org:27017

com.mongodb.MongoCommandException: Command failed with error 13: 'not authorized on remotefs to execute comman
d { createIndexes: "fs.files", indexes: [ { key: { filename: 1 }, name: "filename_1", ns: "remotefs.fs.files"
} 1 }' on server mongo3-d-d4s.d4science.org:27017. The full response is { "ok" : 0.0, "errmsg" : "not authoriz
ed on remotefs to execute command { createIndexes: \"fs.files\", indexes: [ { key: { filename: 1 }, name: \"fi
lename_1\", ns: \"remotefs.fs.files\" } ] }", "code" : 13 }

at com.mongodb.connection.ProtocolHelper.getCommandFailureException (ProtocolHelper. java:77)
two facts are clear:

1. the application can contact mongo, so the firewall is not blocking anything
2. the operations were not authorized

#7 - Jul 24, 2017 11:53 AM - Roberto Cirillo

Maybe it could be a key problem but, if this is the case, | guess you should see another exception before the authentication exception. Have you other
exception before?
@k.giannakelos@cite.gr please, could you check if there is the "preprod.gcubekey” in your classpath?

#8 - Jul 24, 2017 12:13 PM - Konstantinos Giannakelos
- Status changed from New to Closed

- % Done changed from 0 to 100

It was indeed a key problem. Thanks for pointing that out.
That was all the error stacktrace i got. No "key missing" exception occured, that's why i got a bit confused.

Thanks for your help!

May 01, 2025 22


http://www.tcpdf.org

